1 (edited by mvug 2018-06-05 07:42:37)

Topic: Error updating php-pecl-imagick

When updating this morning I get this error on my php7.2 system... On my php7.1 system it works correctly...

yum install php-imagick
Geladen plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: centos.mirror.transip.nl
 * elrepo: [url=ftp://ftp.nluug.nl]ftp.nluug.nl[/url]
 * elrepo-kernel: [url=ftp://ftp.nluug.nl]ftp.nluug.nl[/url]
 * epel: [url=ftp://ftp.nluug.nl]ftp.nluug.nl[/url]
 * extras: centos.mirror.transip.nl
 * remi-php71: remi.mirror.wearetriple.com
 * remi-php72: remi.mirror.wearetriple.com
 * remi-safe: remi.mirror.wearetriple.com
 * updates: centos.mirror.triple-it.nl
Oplossen van afhankelijkheden
--> Transactiecontrole uitvoeren
---> Pakket php-pecl-imagick.x86_64 0:3.4.3-9.el7.remi.7.2 wordt geïnstalleerd
--> Verwerking afhankelijkheid: libMagickWand-6.Q16.so.5()(64bit) voor pakket: php-pecl-imagick-3.4.3-9.el7.remi.7.2.x86_64
--> Verwerking afhankelijkheid: libMagickCore-6.Q16.so.5()(64bit) voor pakket: php-pecl-imagick-3.4.3-9.el7.remi.7.2.x86_64
--> Klaar met oplossen afhankelijkheden
Fout: Pakket: php-pecl-imagick-3.4.3-9.el7.remi.7.2.x86_64 (remi-php72)
           Vereist: libMagickWand-6.Q16.so.5()(64bit)
          Beschikbaar: ImageMagick6-libs-6.9.9.40-1.el7.remi.x86_64 (remi-safe)
              libMagickWand-6.Q16.so.5()(64bit)
          Geïnstalleerd: ImageMagick6-libs-6.9.9.50-1.el7.remi.x86_64 (@remi-safe)
             ~libMagickWand-6.Q16.so.6()(64bit)
Fout: Pakket: php-pecl-imagick-3.4.3-9.el7.remi.7.2.x86_64 (remi-php72)
           Vereist: libMagickCore-6.Q16.so.5()(64bit)
          Beschikbaar: ImageMagick6-libs-6.9.9.40-1.el7.remi.x86_64 (remi-safe)
              libMagickCore-6.Q16.so.5()(64bit)
          Geïnstalleerd: ImageMagick6-libs-6.9.9.50-1.el7.remi.x86_64 (@remi-safe)
             ~libMagickCore-6.Q16.so.6()(64bit)
 Je zou kunnen proberen met behulp van --skip-broken het probleem te omzeilen
 Je zou kunnen proberen: rpm -Va --nofiles --nodigest

Re: Error updating php-pecl-imagick

Thanks for the notice

Indeed there is something wrong with php-pecl-imagick-3.4.3-9.el7.remi.7.2.x86_64
Fixed in php-pecl-imagick-3.4.3-10.el7.remi.7.2.x86_64

Uploaded in the repository, should be soon on all mirrors


P.S. please use LANG=C to generate output... I can only read English or French wink

Desktop: Fedora 27 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 28 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test